<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="CandidateClassScore"  package="performa.orm">
        <IMPORT value="performa.orm.types.*"/>
               
        <TABLE  name="tl_candidate_class_score" tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="ClassScore"           type="Integer"      dbcol="class_score"             />
            <ATTRIB name="WghtdClassScore"      type="Integer"      dbcol="wghtd_class_score"       />
            <ATTRIB name="MaxWghtdClassScore"   type="Integer"      dbcol="max_wghtd_class_score"   />
            <ATTRIB name="ColorCode"            type="ColorCode"    dbcol="color_code"              attribHelper="EnumeratedAttributeHelper"/><!-- Related to CANDIDATE_CLASS_PCT view - color_rank -->
            <ATTRIB name="WghtdColorCode"       type="ColorCode"    dbcol="wghtd_color_code"        attribHelper="EnumeratedAttributeHelper"/><!-- Related to CANDIDATE_CLASS_PCT view - wghtd_color_rank -->
            <ATTRIB name="FactorClass"          type="FactorClass"  dbcol="factor_class"            attribHelper="EnumeratedAttributeHelper"    mandatory="true"/>

            <SINGLEREFERENCE    name="TestAnalysis" type="TestAnalysis" dbcol="test_analysis_id"    backreferenceName="CandidateClassScores"/>
            
        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_level_factor.object_id is not null" orderBy="tl_level_factor.object_id" />

    </BUSINESSCLASS>
    
</ROOT>
